#
# spec file for package system-user-gromox
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           system-user-gromox
Version:        9
Release:        1.2
Summary:        System user and group gromox
License:        MIT
Group:          System/Fhs
URL:            https://grommunio.com/
Source:         system-user-gromox.conf
Source2:        dummy_for_debtransform.tgz
BuildArch:      noarch
BuildRequires:  systemd-rpm-macros
%if 0%{?suse_version}
BuildRequires:  sysuser-tools
%sysusers_requires
%endif
%if 0%{?rhel} || 0%{?fedora_version}
%{?sysusers_requires_compat}
%endif

%description
This package provides:
* the "gromox" user identity for running Gromox services as
* the "gromox" group identity for marking data to be consumed by Gromox
  services but possibly created by AAPI, e.g. mailbox contents
* the "gromoxcf" group identity for marking (possibly sensitive)
  configuration, to be consumed by Gromox services and select
  services (like saslauthd/keycloak dlopening pam_gromox.so)

%prep

%build
>user.pre
%if 0%{?suse_version}
%sysusers_generate_pre %_sourcedir/system-user-gromox.conf user system-user-gromox.conf
%endif

%install
install -Dpm0644 %_sourcedir/system-user-gromox.conf "%buildroot/%_sysusersdir/system-user-gromox.conf"

%pre -f user.pre
%if 0%{?rhel} || 0%{?fedora_version}
%sysusers_create_compat %_sourcedir/system-user-gromox.conf
%endif

%files
%_sysusersdir/*.conf

%changelog
* Wed Sep  4 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 9
  * Switch to sysusers mechanism on Debian as well
* Tue Jun  4 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 7
  * Added the "gromoxcf" group. Updated package descriptions.
* Thu Mar 14 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 6
  * Switch back to %%sysusers_generate_pre because systemd-sysusers
    is not present in buildroots.
* Tue Mar 12 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 5
  * Do away with %%sysusers_generate_pre, it is not needed because
    system-user-gromox.%%post runs before gromox.%%pre anyway.
* Wed Feb 21 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 3
  * Create gromoxcf group
* Thu Jun  2 2022 Jan Engelhardt <jengelh@inai.de>
- Initial package for build.opensuse.org
